import { Transform } from 'class-transformer';
import { IsEnum, IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { ApplicationStatus } from 'src/enums/status.enum';

export class ListQueryDto {
  @IsOptional()
  @Transform(({ value }) => value.split(','))
  @IsEnum(ApplicationStatus, { each: true })
  readonly statuses?: ApplicationStatus[];

  @IsNotEmpty()
  @IsString()
  readonly residentSub: string;
}
