import {
  IsBoolean,
  IsEnum,
  IsOptional,
  IsString,
  ValidateIf,
} from 'class-validator';
import { Industry } from 'src/enums/industry.enum';
import { RegulatoryElection } from 'src/enums/regulatory-election.enums';

export class RegisterIndustryChangeApplicationDto {
  @IsString()
  residentSub: string;

  @IsBoolean()
  willWorkInPhysicalJurisdiction: boolean;

  @IsEnum(Industry)
  @ValidateIf((o) => o.willWorkInPhysicalJurisdiction === true)
  industry: Industry;

  @IsEnum(RegulatoryElection)
  @ValidateIf((o) => o.willWorkInPhysicalJurisdiction === true)
  regulatoryElection: RegulatoryElection;

  @IsOptional()
  @IsString()
  @ValidateIf((o) => o.willWorkInPhysicalJurisdiction === true)
  regulatoryElectionSub?: string;
}
