import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { ResidentModule } from 'src/resident/resident.module';
import { IndustryChangeApplicationController } from './industry-change-application.controller';
import { IndustryChangeApplicationService } from './industry-change-application.service';
import { Decision, DecisionSchema } from './schemas/Decision.schema';
import {
  ICAInformation,
  ICAInformationSchema,
} from './schemas/ICAInformation.schema';
import {
  IndustryChangeApplication,
  IndustryChangeApplicationSchema,
} from './schemas/IndustryChangeApplication.schema';

@Module({
  imports: [
    MongooseModule.forFeature([
      {
        name: Decision.name,
        schema: DecisionSchema,
      },
      {
        name: ICAInformation.name,
        schema: ICAInformationSchema,
      },
      {
        name: IndustryChangeApplication.name,
        schema: IndustryChangeApplicationSchema,
      },
    ]),
    ResidentModule,
  ],
  controllers: [IndustryChangeApplicationController],
  providers: [IndustryChangeApplicationService],
})
export class IndustryChangeApplicationModule {}
