import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Industry } from 'src/enums/industry.enum';
import { RegulatoryElection } from 'src/enums/regulatory-election.enums';

@Schema({ _id: false })
export class ICAInformation {
  @Prop({ type: String, enum: Industry })
  industry: Industry;

  @Prop({ required: true })
  willWorkInPhysicalJurisdiction: boolean;

  @Prop({ type: String, enum: RegulatoryElection })
  regulatoryElection: RegulatoryElection;

  @Prop()
  regulatoryElectionSub: string;
}

export const ICAInformationSchema =
  SchemaFactory.createForClass(ICAInformation);
