import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';

@Schema({ _id: false })
export class ResidentAddress {
  @Prop({ required: true })
  country: string;

  @Prop({ required: true })
  city: string;

  @Prop()
  state?: string;

  @Prop({ required: true })
  streetAddress: string;

  @Prop({ required: true })
  zipCode: string;

  @Prop({ required: true })
  isVerifiedAddress: boolean;
}

export const ResidentAddressSchema =
  SchemaFactory.createForClass(ResidentAddress);
