/**
 * Equate keys of two objects
 * @param object1 First object
 * @param object2 Second object
 * @param keys Keys to equate
 * @returns Keys which are equal in both objects
 */
export default function equate<T, K>(
  object1: T,
  object2: K,
  keys: string[],
): string[] {
  return keys.reduce<string[]>((list, current) => {
    if (object1[current] === object2[current]) return [...list, current];
    return list;
  }, []);
}
