export default function take<T>(object: T, keys: string[]): Partial<T> {
  if (!object) return null;
  return Object.keys(object).reduce<Partial<T>>((obj, field) => {
    if (keys.includes(field)) {
      obj[field] = object[field];
    }
    return obj;
  }, {});
}
